.video__title {
  text-align: center;
}

.video__description {
  text-align: center;
  color: $brown;
  font-size: 28px;
  line-height: 33px;
}
.video__wrapper {
  position: relative;
  margin-top: 35px;
  video {
    height: 363px;
    width: 100%;
    object-fit: cover;
    border-radius: 95px 0px;
  }
}

.video__play {
  width: 180px;
  height: 180px;
  border-radius: 50%;
  background-color: $green;
  border: none;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -90px;
  margin-top: -90px;

  &::before {
    @include pseudo;
    width: 162px;
    height: 162px;
    border: 1px solid #ffffff;
    position: absolute;
    border-radius: 50%;
    top: 8px;
    left: 8px;
  }

  &--pause {
    animation: scale 0.3s linear both;
    .video__inner {
      font-size: 0;
      line-height: 0;
      color: transparent;
      &::before {
        background-image: url("../images/pause.svg");
      }
    }
  }
}

.video__inner {
  font-size: 14px;
  line-height: 17px;
  color: #ffffff;
  text-align: center;
  max-width: 95px;
  &::before {
    @include pseudo;
    width: 35px;
    height: 35px;
    background-image: url("../images/polygon.svg");
    display: block;
    margin: 0 auto;
    margin-bottom: 10px;
  }
}

@media (min-width: 1280px) {
  .video {
    max-width: 1180px;
    margin: 0 auto;
  }
  .video__wrapper {
    margin-top: 84px;
    video {
      height: 660px;
    }
  }

  .video__description {
    font-size: 34px;
    line-height: 40px;
    margin-top: 6px;
  }
}


@keyframes scale {
  from {
    transform: scale(0.1);
  }

  to {
    transform: scale(1);
  }
}
